learning
Cohort wrong-answer rates per question (worst-first).
Cohort wrong-answer rates per question (worst-first).
OpenAPI specificationPOST
/api/v1/learning/question-statsAuthentication
bearerAuth
Request
curl --globoff --request POST \
--url 'https://honen.com/api/v1/learning/question-stats' \
--header 'Authorization: Bearer <BEARER_TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "test",
"refId": "<refId>"
}'Replace credential and <field> placeholders with your own values. URL placeholders appear as %3Cfield%3E. Review the example values before sending your request.
Use the sample JSON body as your starting point, and enter values that match the endpoint's schema.
Request body schema or example
{
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"test",
"quiz"
]
},
"refId": {
"type": "string"
},
"groupId": {
"type": "string"
}
},
"required": [
"kind",
"refId"
]
}Responses
200Command result.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
true
]
},
"data": {
"type": "object",
"properties": {
"kind": {
"type": "string",
"enum": [
"test",
"quiz"
]
},
"refId": {
"type": "string"
},
"title": {
"type": "string"
},
"courseId": {
"type": "string"
},
"unitId": {
"type": "string"
},
"topicId": {
"type": "string",
"nullable": true
},
"totalMembers": {
"type": "number"
},
"completedAttempts": {
"type": "number"
},
"avgElapsedSeconds": {
"type": "number",
"nullable": true
},
"avgScorePercent": {
"type": "number",
"nullable": true
},
"questions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"questionId": {
"type": "string"
},
"order": {
"type": "number"
},
"type": {
"type": "string"
},
"question": {
"type": "string"
},
"answeredCount": {
"type": "number"
},
"correctCount": {
"type": "number"
},
"wrongCount": {
"type": "number"
},
"wrongRatePercent": {
"type": "number",
"nullable": true
},
"topWrongAnswer": {
"type": "string",
"nullable": true
},
"topWrongAnswerCount": {
"type": "number"
}
},
"required": [
"questionId",
"order",
"type",
"question",
"answeredCount",
"correctCount",
"wrongCount",
"wrongRatePercent",
"topWrongAnswer",
"topWrongAnswerCount"
]
}
}
},
"required": [
"kind",
"refId",
"title",
"courseId",
"unitId",
"topicId",
"totalMembers",
"completedAttempts",
"avgElapsedSeconds",
"avgScorePercent",
"questions"
]
}
},
"required": [
"success",
"data"
]
}400Malformed JSON request body.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}401Missing or invalid Connector credentials.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}403Connector policy does not permit this command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}404Unknown command.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}422Input validation error.
{
"type": "object",
"properties": {
"success": {
"type": "boolean",
"enum": [
false
]
},
"error": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
},
"resolution": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
}
}
},
"details": {
"nullable": true
}
},
"required": [
"code",
"message",
"resolution"
]
}
},
"required": [
"success",
"error"
]
}